Bug 1298236 - freerdp support for TLS 1.2
freerdp support for TLS 1.2
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-13 10:11 EST by Cott Lang
Modified: 2016-12-20 12:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 12:50:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Enables tls 1.1 and 1.2 with freerdp (420 bytes, patch)
2016-02-10 17:14 EST, Adam Gibson
no flags Details | Diff

  None (edit)
Description Cott Lang 2016-01-13 10:11:50 EST
Description of problem:

freerdp doesn't support anything but TLS v 1.0. Given that TLS 1.0 and 1.1 are being phased out (required by PCI-DSS by June), it's becoming common to find RDP servers only supporting TLS v1.2

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt a connection to a Windows system supporting only TLS 1.2

Actual results:  Failure

Expected results:  Connection

Additional info:

The freerdp project accepted a pull request to fix this:


Can we get this integrated into the Fedora version?

Comment 1 Adam Gibson 2016-02-10 17:12:17 EST
I just hit this at work too as we are disabling TLS 1.0 because of PCI compliance.  I had to patch it manually and rebuild freerdp otherwise I could not connect to the Windows servers via RDP using Remmina.  Remmina uses freerdp.
Comment 2 Adam Gibson 2016-02-10 17:14 EST
Created attachment 1122946 [details]
Enables tls 1.1 and 1.2 with freerdp

This changes the client connection from tls 1.0 to a connection that will also allow tls 1.1 and 1.2.
Comment 3 Fedora End Of Life 2016-11-24 09:54:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:50:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.